Skip to main content
GET
/
campaigns
/
{id}
cURL
curl --request GET \
  --url https://app.masivo.ai/api/storefront/v1/campaigns/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "attributes": {},
    "content": {
      "Title": {
        "name": "Title",
        "type": "input",
        "value": "Value of the title"
      },
      "BannerImage": {
        "alt": "Alternative description for the image",
        "href": "Href link for the image",
        "name": "BannerImage",
        "type": "image",
        "value": "https://URL_TO_IMAGE"
      },
      "Description": {
        "name": "Name of the description",
        "type": "input",
        "value": "Value of the description"
      }
    },
    "template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The campaign unique identifier

Query Parameters

customer_id
string

Filter coupon availability for a specific customer. Only applies to COUPONS campaigns.

includes
enum<string>

Whether to include additional data inside attributes Only applies to COUPONS campaigns. Adds attributes.codes_summary with used, total, left, codes, and codes_usage.

Available options:
CODES_SUMMARY

Response

Ok

data
object

Campaign response. account_id, order, and created_at are not returned.